export const thisIsHowWeDoIt = `
<h1>this IS HOW WE DO IT</h1>
<p style="width: 70%;">
Use <strong>this</strong> to share variables between it and before/after blocks.
</p>

<h3>Why?</h3>
<ul>
    <li>Declare and initialize variables on one line</li>
    <li>Jasmine automatically cleans the this object between specs to avoid state leak</li>
</ul>

<div style="background-color:#444; color:#fff; padding: 16px; position: relative; width: 50%; ">
    <pre>
// Yep
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      beforeEach(function() {{'{'}}
        this.initialArray = [1];

        this.pushResult = this.initialArray.push(2);
      {{'}'}});

      it('appends x to the end of the Array', function() {{'{'}}
        expect(this.initialArray).toEqual([1, 2]);
      {{'}'}});

      it('returns x', function() {{'{'}}
        expect(this.pushResult).toBe(2);
      {{'}'}});
    {{'}'}});
  {{'}'}});

// Nope
describe('Array.prototype', function() {{'{'}}
    describe('.push(x)', function() {{'{'}}
      var initialArray,
          pushResult;

      beforeEach(function() {{'{'}}
        initialArray = [1];

        pushResult = initialArray.push(2);
      {{'}'}});

      it('appends x to the end of the Array', function() {{'{'}}
        expect(initialArray).toEqual([1, 2]);
      {{'}'}});

      it('returns x', function() {{'{'}}
        expect(pushResult).toBe(2);
      {{'}'}});
    {{'}'}});
  {{'}'}});
    </pre>
</div>
`;
